SDL_GetTextureBlendMode(3)

NAME
SDL_GetTextureBlendMode - Get the blend mode used for texture copy operations.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetTextureBlendMode(SDL_Texture *texture, SDL_BlendMode *blendMode);

FUNCTION PARAMETERS

texture
    the texture to query.

blendMode
    a pointer filled in with the current SDL_BlendMode.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetTextureBlendMode(3)